Subject: [MBONED] Multicast question for IPv6

From: Thomas Narten <[email-masked]>
Date: Fri, 01 Dec 2006 08:37:32 -0500

Asking here, as this is where the experts are...

This came up during a review of draft-ietf-ipv6-2461bis-09.txt.

Erik Nordmark <[email-masked]> writes:

> Thomas Narten wrote:

>  >>         CurHopLimit    The default hop limit to be used when sending
>  >>                        (unicast) IP packets.
>  >
>  > why only unicast? seems like this should also apply to multicast.  Are
>  > the default values for multicast different  than unicast? (I think the
>  > answer is yes for IPv4, but I'm not sure that applies to IPv6. IPv6
>  > multicast addresses have explicit scoping, whereas IPv4 multicast used
>  > the TTL for that...)

> I don't know how much we've discussed it, but I think IPv6 needs to have 
> a default hoplimit for multicast of 1, just like IPv4. Applications can 
> use IPV6_MULTICAST_HOPLIMIT etc to set a different value.

Does this make sense? I.e., what is the current recommendations for
setting the Hop Limit/TTL for normal applications that use multicast?

What should it be for IPv6?

Thomas

_______________________________________________
MBONED mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mboned

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 4 Dec 2006 00:43:51 -0800

AFAIK, the idea to use TTL=255 came up with VRRP and it was primarily
meant as a mean to identify potential intruders - eg: remote senders -
because their TTL would be less than 255 upon receipt. It's like an
inverted form of ttl-threshold that IP multicast liked to use last
century.

I think all forms of ttl-scoping are hacks. Especially in IPv6 where
multicast addresses have clearly identified scopes there's no need one
way or the other to overload the ttl field with scope semantics.

Cheers
    Toerless

reverse ttl-threashold IP multicast liked to use in the last century

On Mon, Dec 04, 2006 at 12:19:31AM -0500, Marshall Eubanks wrote:
> Dear John;
> 
> On Dec 4, 2006, at 12:01 AM, John Zwiebel wrote:
> 
> >
> > On Dec 3, 2006, at 7:22 AM, Marshall Eubanks wrote:
> >
> >>
> >> If, on the other hand, you _intend_ for your high bit rate  
> >> multicast to be link
> >> local, it seems to me that you will and should send them TTL=1  
> >> regardless of the default. If there is
> >> a negative impact, change what you or doing or take it up with  
> >> your FH router vendor, not the IETF.
> >>
> >
> > Actually, for security reasons don't you want these to have a TTL  
> > of 255?
> > This requirement seems to pop up quite a bit. :-)
> 
> For high bit rate streams ? In any case, I think this also requires  
> CPU cycles, maybe more than TTL=1.
> 
> Regards
> Marshall
>